Package org.drinkless.tdlib

# Class TdApi.PushMessageContentChatAddMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentChatAddMembers

Enclosing class:
  TdApi

public static class TdApi.PushMessageContentChatAddMembers extends TdApi.PushMessageContent
New chat members were invited to a group.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isCurrentUser`
  True, if the current user was added to the group.
  `boolean`
  `isReturned`
  True, if the user has returned to the group themselves.
  `String`
  `memberName`
  Name of the added member.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentChatAddMembers()`
  New chat members were invited to a group.
  `PushMessageContentChatAddMembers(String memberName, boolean isCurrentUser, boolean isReturned)`
  New chat members were invited to a group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### memberName

    public String memberName
    Name of the added member.

  - ### isCurrentUser

    public boolean isCurrentUser
    True, if the current user was added to the group.

  - ### isReturned

    public boolean isReturned
    True, if the user has returned to the group themselves.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentChatAddMembers

    public PushMessageContentChatAddMembers()
    New chat members were invited to a group.

  - ### PushMessageContentChatAddMembers

    public PushMessageContentChatAddMembers(String memberName, boolean isCurrentUser, boolean isReturned)
    New chat members were invited to a group.
    Parameters:
      `memberName` - Name of the added member.
      `isCurrentUser` - True, if the current user was added to the group.
      `isReturned` - True, if the user has returned to the group themselves.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR